# List Slack workspace members

Returns Slack workspace members, one page at a time.

```http
GET https://api.pozy.ai/v1/accounts/{accountId}/slack-members
```

- Area: Messaging / Slack
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `accountId` (string, required)

## Query parameters

- `query` (string)
- `limit` (integer)

## Example request

```bash
curl -X GET "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/slack-members?limit=50" \
  -H "Authorization: Bearer $POZY_API_KEY"
```

```ts
const res = await fetch("https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/slack-members?limit=50", {
  headers: { Authorization: `Bearer ${process.env.POZY_API_KEY}` },
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.get(
    "https://api.pozy.ai/v1/accounts/696e0b682d0a31188e7a2ba9/slack-members",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    params={
        "limit": 50,
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 200

- `members`, array of object
  - `id`, string
  - `name`, string
  - `username`, string: Can be null
  - `picture`, string: Can be null

```json
{
  "members": [
    {
      "id": "6bfebd43ddc270f6d2c56fc5",
      "name": "Acme",
      "username": "acme",
      "picture": "string"
    }
  ]
}
```
